Loading


Advertisement:

Author Topic: Update problem  (Read 534 times)

uve

  • Newbie
  • *
  • Posts: 24
Update problem
« on: January 18, 2017, 02:57:41 am »
Hi,

I make update my osclass from 361 to 371 by osclass admin panel.
The update is suspended. I still have information "updating...".

On page I have error:
Parse error: syntax error, unexpected T_STRING in /home/gielda/domains/gieldarowerowa.net/public_html/oc-includes/osclass/utils.php on line 1202

Can  someone help me?

Aficionado

  • Hero Member
  • *****
  • Posts: 4582
  • Hardliner
Re: Update problem
« Reply #1 on: January 18, 2017, 01:52:02 pm »
What PHP version are you running ?

Aficionado

  • Hero Member
  • *****
  • Posts: 4582
  • Hardliner
Re: Update problem
« Reply #2 on: January 18, 2017, 03:05:41 pm »
Ok, i see you run

   PHP/5.2.17

and that could be the cause. PHP 5.2 is VERY-VERY OLD, dead and burried version. Not safe to use.

Upgrade to 5.6x or even better at 7.

uve

  • Newbie
  • *
  • Posts: 24
Re: Update problem
« Reply #3 on: January 18, 2017, 05:49:27 pm »
I changed my PHP to Version 7.0.8 and it works :)
Thanks a lot for your help!
« Last Edit: January 18, 2017, 09:43:42 pm by uve »

Aficionado

  • Hero Member
  • *****
  • Posts: 4582
  • Hardliner
Re: Update problem
« Reply #4 on: January 18, 2017, 06:01:05 pm »
Nice !

You are welcome !